import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare class NgxfUploaderService {
    private http;
    constructor(http: HttpClient);
    upload(d: UploadObject): Observable<UploadEvent>;
    private addPamars;
}
export declare const enum FileError {
    NumError = 0,
    TypeError = 1,
    SizeError = 2
}
export declare const enum UploadStatus {
    Uploading = 0,
    Completed = 1,
    UploadError = 2,
    FileNumError = 3
}
export interface UploadObject {
    url: string;
    files: File | File[];
    headers?: {
        [name: string]: string | string[];
    } | HttpHeaders;
    params?: {
        [name: string]: string | string[];
    } | HttpParams;
    fields?: any;
    filesKey?: string | string[];
    process?: boolean;
    method?: string;
}
export interface UploadEvent {
    status: UploadStatus;
    percent: number;
    data?: any;
}
export interface FileOption {
    size?: {
        min?: number;
        max?: number;
    };
    skipInvalid?: boolean;
}
